emptyset_reserve_abi = [
    {
        "inputs": [
            {
                "internalType": "Token18",
                "name": "dsu_",
                "type": "address",
            },
            {
                "internalType": "Token6",
                "name": "usdc_",
                "type": "address",
            },
        ],
        "stateMutability": "nonpayable",
        "type": "constructor",
    },
    {
        "inputs": [
            {
                "internalType": "uint256",
                "name": "version",
                "type": "uint256",
            },
        ],
        "name": "UInitializableAlreadyInitializedError",
        "type": "error",
    },
    {
        "inputs": [],
        "name": "UInitializableNotInitializingError",
        "type": "error",
    },
    {
        "inputs": [],
        "name": "UInitializableZeroVersionError",
        "type": "error",
    },
    {
        "anonymous": False,
        "inputs": [
            {
                "indexed": True,
                "internalType": "address",
                "name": "account",
                "type": "address",
            },
            {
                "indexed": False,
                "internalType": "UFixed18",
                "name": "borrowAmount",
                "type": "uint256",
            },
        ],
        "name": "Borrow",
        "type": "event",
    },
    {
        "anonymous": False,
        "inputs": [
            {
                "indexed": False,
                "internalType": "uint256",
                "name": "version",
                "type": "uint256",
            },
        ],
        "name": "Initialized",
        "type": "event",
    },
    {
        "anonymous": False,
        "inputs": [
            {
                "indexed": True,
                "internalType": "address",
                "name": "account",
                "type": "address",
            },
            {
                "indexed": False,
                "internalType": "UFixed18",
                "name": "mintAmount",
                "type": "uint256",
            },
            {
                "indexed": False,
                "internalType": "UFixed18",
                "name": "costAmount",
                "type": "uint256",
            },
        ],
        "name": "Mint",
        "type": "event",
    },
    {
        "anonymous": False,
        "inputs": [
            {
                "indexed": True,
                "internalType": "address",
                "name": "account",
                "type": "address",
            },
            {
                "indexed": False,
                "internalType": "UFixed18",
                "name": "costAmount",
                "type": "uint256",
            },
            {
                "indexed": False,
                "internalType": "UFixed18",
                "name": "redeemAmount",
                "type": "uint256",
            },
        ],
        "name": "Redeem",
        "type": "event",
    },
    {
        "anonymous": False,
        "inputs": [
            {
                "indexed": True,
                "internalType": "address",
                "name": "account",
                "type": "address",
            },
            {
                "indexed": False,
                "internalType": "UFixed18",
                "name": "repayAmount",
                "type": "uint256",
            },
        ],
        "name": "Repay",
        "type": "event",
    },
    {
        "inputs": [],
        "name": "DSU",
        "outputs": [
            {
                "internalType": "Token18",
                "name": "",
                "type": "address",
            },
        ],
        "stateMutability": "view",
        "type": "function",
    },
    {
        "inputs": [],
        "name": "USDC",
        "outputs": [
            {
                "internalType": "Token6",
                "name": "",
                "type": "address",
            },
        ],
        "stateMutability": "view",
        "type": "function",
    },
    {
        "inputs": [
            {
                "internalType": "address",
                "name": "",
                "type": "address",
            },
        ],
        "name": "debt",
        "outputs": [
            {
                "internalType": "UFixed18",
                "name": "",
                "type": "uint256",
            },
        ],
        "stateMutability": "pure",
        "type": "function",
    },
    {
        "inputs": [],
        "name": "initialize",
        "outputs": [],
        "stateMutability": "nonpayable",
        "type": "function",
    },
    {
        "inputs": [
            {
                "internalType": "UFixed18",
                "name": "amount",
                "type": "uint256",
            },
        ],
        "name": "mint",
        "outputs": [],
        "stateMutability": "nonpayable",
        "type": "function",
    },
    {
        "inputs": [
            {
                "internalType": "UFixed18",
                "name": "amount",
                "type": "uint256",
            },
        ],
        "name": "redeem",
        "outputs": [],
        "stateMutability": "nonpayable",
        "type": "function",
    },
    {
        "inputs": [],
        "name": "redeemPrice",
        "outputs": [
            {
                "internalType": "UFixed18",
                "name": "",
                "type": "uint256",
            },
        ],
        "stateMutability": "pure",
        "type": "function",
    },
    {
        "inputs": [
            {
                "internalType": "address",
                "name": "",
                "type": "address",
            },
            {
                "internalType": "UFixed18",
                "name": "",
                "type": "uint256",
            },
        ],
        "name": "repay",
        "outputs": [],
        "stateMutability": "pure",
        "type": "function",
    },
]